package com.avides.vaadin.spring.example;

import com.vaadin.flow.component.Tag;
import com.vaadin.flow.component.dependency.HtmlImport;
import com.vaadin.flow.component.polymertemplate.PolymerTemplate;
import com.vaadin.flow.templatemodel.TemplateModel;

@Tag("custom-example")
@HtmlImport("src/custom-example.html")
public class CustomExample extends PolymerTemplate<CustomExample.CustomExampleModel>
{
    public CustomExample(String data)
    {
        getModel().setData(data);
    }

    public interface CustomExampleModel extends TemplateModel
    {
        void setData(String data);
    }
}
